Debian Bug report logs - #474730
www.debian.org: cannot link to DSA without knowing year

version graph

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: "era eriksson" <era@iki.fi>

Date: Mon, 7 Apr 2008 13:12:01 UTC

Severity: wishlist

Found in version 20080407

Done: David Prévot <david@tilapin.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#474730; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "era eriksson" <era@iki.fi>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "era eriksson" <era@iki.fi>
To: submit@bugs.debian.org
Subject: www.debian.org: cannot link to DSA without knowing year
Date: Mon, 07 Apr 2008 16:06:15 +0300
Package: www.debian.org
Version: 20080407
Severity: minor

There appears to be no way to link to a DSA page without knowing in
which year the DSA was published.  Could you please set up a rewrite
rule such that http://security.debian.org/dsa/1234-1 links to the right
place?  This is valuable for people who want to create bookmarklets or
wiki links to DSA notices.

I would tag this as "Severity: wishlist" if it wasn't security-related;
the usability and convenience standards should be higher for security
facilities, and thus I feel a "Severity: minor" (or higher) is
warranted.

Thanks for caring.

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#474730; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 474730@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: era eriksson <era@iki.fi>, 474730@bugs.debian.org
Subject: Re: Bug#474730: www.debian.org: cannot link to DSA without knowing year
Date: Mon, 7 Apr 2008 15:45:01 +0200
[Message part 1 (text/plain, inline)]
Hi era,
* era eriksson <era@iki.fi> [2008-04-07 15:24]:
> Package: www.debian.org
> Version: 20080407
> Severity: minor
> 
> There appears to be no way to link to a DSA page without knowing in
> which year the DSA was published.  Could you please set up a rewrite
> rule such that http://security.debian.org/dsa/1234-1 links to the right
> place?  This is valuable for people who want to create bookmarklets or
> wiki links to DSA notices.
[...] 
I agree that this would be nice, as a workaround you could 
use: http://security-tracker.debian.net/tracker/DSA-<number> 
until this is fixed.

Kind regards
Nico
-- 
Nico Golde - http://www.ngolde.de - nion@jabber.ccc.de - GPG: 0x73647CFF
For security reasons, all text in this mail is double-rot13 encrypted.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#474730; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "era eriksson" <era@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 474730@bugs.debian.org (full text, mbox):

From: "era eriksson" <era@iki.fi>
To: "Nico Golde" <nion@debian.org>, 474730@bugs.debian.org
Subject: Re: Bug#474730: www.debian.org: cannot link to DSA without knowing year
Date: Mon, 07 Apr 2008 21:51:38 +0300
On Mon, 7 Apr 2008 15:45:01 +0200, "Nico Golde" <nion@debian.org> said:
> Hi era,
> * era eriksson <era@iki.fi> [2008-04-07 15:24]:
> > There appears to be no way to link to a DSA page without knowing in
> > which year the DSA was published.  Could you please set up a rewrite
> > rule such that http://security.debian.org/dsa/1234-1 links to the 
> > right place?  This is valuable for people who want to create 
> > bookmarklets or wiki links to DSA notices.

I meant to say that I obviously can't dictate how this should be
implemented (rewrite rule is just one possibility) or what exactly the
"yearless" URL should be (/dsa/<id> would seem natural, but maybe you
want something else), but I wanted to suggest something concrete just to
make the bug report clear.

> I agree that this would be nice, as a workaround you could 
> use: http://security-tracker.debian.net/tracker/DSA-<number> 
> until this is fixed.

Thanks for this tip!  I tried to google a bit but couldn't come up with
a good set of search terms.

/* era */

-- 
If this were a real .signature, it would suck less.  Well, maybe not.





Severity set to 'wishlist' from 'minor' Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Mon, 08 Mar 2010 22:51:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from David Prévot <david@tilapin.org> to control@bugs.debian.org. (Thu, 28 Apr 2011 02:21:02 GMT) Full text and rfc822 format available.

Reply sent to David Prévot <david@tilapin.org>:
You have taken responsibility. (Wed, 04 May 2011 15:00:06 GMT) Full text and rfc822 format available.

Notification sent to "era eriksson" <era@iki.fi>:
Bug acknowledged by developer. (Wed, 04 May 2011 15:00:06 GMT) Full text and rfc822 format available.

Message #24 received at 474730-done@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: era eriksson <era@iki.fi>
Cc: Nico Golde <nion@debian.org>, 474730-done@bugs.debian.org, team@security.debian.org
Subject: Re: Bug#474730: www.debian.org: cannot link to DSA without knowing year
Date: Wed, 4 May 2011 10:56:18 -0400
Le lundi 07 avril 2008 09:45:01, Nico Golde a écrit :
> * era eriksson <era@iki.fi> [2008-04-07 15:24]:
> > Package: www.debian.org
> > Version: 20080407
> > Severity: minor
> > 
> > There appears to be no way to link to a DSA page without knowing in
> > which year the DSA was published.  Could you please set up a rewrite
> > rule such that http://security.debian.org/dsa/1234-1 links to the right
> > place?  This is valuable for people who want to create bookmarklets or
> > wiki links to DSA notices.
> 
> [...]
> I agree that this would be nice, as a workaround you could
> use: http://security-tracker.debian.net/tracker/DSA-<number>
> until this is fixed.

We just configured a permanent redirect from /security/dsa-<number> [1] to 
/security/<year>/dsa-<number> [2].

  1: http://www.debian.org/security/dsa-1234
  2: http://www.debian.org/security/2006/dsa-1234

Regards

David





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Jun 2011 07:30:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:06:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.